Bug 219564 - Distutils link with static libpython by default
Summary: Distutils link with static libpython by default
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-12-13 23:11 UTC by Miloslav Trmač
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-06 21:43:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
An empty extension module (10.00 KB, application/octet-stream)
2006-12-13 23:11 UTC, Miloslav Trmač
no flags Details

Description Miloslav Trmač 2006-12-13 23:11:52 UTC
Version-Release number of selected component (if applicable):
python-2.5-4.fc7

Attached is a trivial extension module.  Running (python setup.py build) ends with
  gcc -pthread -shared build/temp.linux-i686-2.5/foo.o
-L/usr/lib/python2.5/config -lpython2.5 -o build/lib.linux-i686-2.5/foo.so

and foo.so contains /usr/lib/python2.5/config/libpython2.5.a .

Obviously, one Python interpreter per extension module won't work very well...

Comment 1 Miloslav Trmač 2006-12-13 23:11:52 UTC
Created attachment 143574 [details]
An empty extension module

Comment 2 Jeremy Katz 2007-01-06 21:43:10 UTC
Should be fixed with -8


Note You need to log in before you can comment on or make changes to this bug.